Simulate gateway evaluation against the alignment card
curl --request POST \
--url https://api.mnemom.ai/v1/alignment/agent/{agent_id}/simulate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"candidate_input": {
"messages": [
{}
]
},
"candidate_tool_call": {
"tool_name": "<string>",
"tool_args": {}
}
}
'import requests
url = "https://api.mnemom.ai/v1/alignment/agent/{agent_id}/simulate"
payload = {
"candidate_input": { "messages": [{}] },
"candidate_tool_call": {
"tool_name": "<string>",
"tool_args": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
candidate_input: {messages: [{}]},
candidate_tool_call: {tool_name: '<string>', tool_args: {}}
})
};
fetch('https://api.mnemom.ai/v1/alignment/agent/{agent_id}/simulate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"resource": "alignment",
"conditions": [
"<string>"
],
"suggestions": [
"<string>"
],
"gateway_decision": {
"violations": [
{}
],
"warnings": [
{}
],
"missing_receipts": [
"<string>"
]
},
"observer_assessment": {
"violations": [
{}
],
"warnings": [
{}
]
},
"evaluated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Agent scope
Simulate gateway evaluation against the alignment card
Pure-sync simulation: calls @mnemom/policy-engine twice (once with context: “gateway”, once with context: “observer”) using dryRun: true against the agent’s …
POST
/
alignment
/
agent
/
{agent_id}
/
simulate
Simulate gateway evaluation against the alignment card
Authorizations
BearerAuthApiKeyAuthCookieAuth
Supabase JWT token in Authorization: Bearer header
Path Parameters
Agent identifier (e.g. smolt-abc123)
Body
application/json
Response
Simulation result.
Available options:
alignment Available options:
true, false, conditional Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I